=== debian/control ===
Source: ros-humble-rcl-lifecycle
Section: misc
Priority: optional
Maintainer: Ivan Paunovic <ivanpauno@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-cmake-ros, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-lifecycle-msgs, ros-humble-osrf-testing-tools-cpp <!nocheck>, ros-humble-rcl, ros-humble-rcutils, ros-humble-rmw, ros-humble-rosidl-runtime-c, ros-humble-tracetools, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rcl-lifecycle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-lifecycle-msgs, ros-humble-rcl, ros-humble-rcutils, ros-humble-rmw, ros-humble-rosidl-runtime-c, ros-humble-tracetools, ros-humble-ros-workspace
Description: Package containing a C-based lifecycle implementation
