## ros-humble-rcl-lifecycle 5.3.9

=== debian/changelog ===
ros-humble-rcl-lifecycle (5.3.9-1bookworm) bookworm; urgency=high

  * Generate version header using ament_generate_version_header(..) (backport #1141 <https://github.com/ros2/rcl/issues/1141>) (#1145 <https://github.com/ros2/rcl/issues/1145>)
  * Contributors: mergify[bot]

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 25 Jul 2024 16:00:00 -0000
